<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <parent>
        <groupId>org.hzero</groupId>
        <artifactId>h0-parent</artifactId>
        <version>1.11.2.RELEASE</version>
    </parent>
    <artifactId>xisc-pm</artifactId>
    <version>1.0.0-snapshot</version>
    <name>xisc-pm</name>

    <dependencies>

        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-devtools</artifactId>
            <scope>runtime</scope>
            <optional>true</optional>
        </dependency>

        <dependency>
            <groupId>org.hzero.boot</groupId>
            <artifactId>hzero-boot-interface</artifactId>
            <version>1.11.3.BETA.13</version>
        </dependency>
        
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-data-mongodb</artifactId>
        </dependency>

        <dependency>
            <groupId>com.google.ortools</groupId>
            <artifactId>ortools-java</artifactId>
            <version>9.7.2996</version>
        </dependency>

        <!--分布式事务依赖 SEATA START-->
        <dependency>
            <groupId>com.alibaba.cloud</groupId>
            <artifactId>spring-cloud-starter-alibaba-seata</artifactId>
        </dependency>
        <dependency>
            <groupId>io.seata</groupId>
            <artifactId>seata-all</artifactId>
            <version>1.6.1</version>
        </dependency>
        <dependency>
            <groupId>io.seata</groupId>
            <artifactId>seata-spring-boot-starter</artifactId>
            <version>1.6.1</version>
        </dependency>
        <dependency>
            <groupId>com.netflix.archaius</groupId>
            <artifactId>archaius-core</artifactId>
            <version>0.7.6</version>
        </dependency>
        <dependency>
            <groupId>com.sun.jersey.contribs</groupId>
            <artifactId>jersey-apache-client4</artifactId>
            <version>1.19.1</version>
        </dependency>
        <!--分布式事务依赖 SEATA END -->
        
    </dependencies>

    <build>
        <plugins>
            <plugin>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-maven-plugin</artifactId>
                <configuration>
                    <fork>true</fork><!--必须添加这个配置-->
                    <requiresUnpack>
                        <dependency>
                            <groupId>com.google.ortools</groupId>
                            <artifactId>ortools-java</artifactId>
                        </dependency>
                        <dependency>
                            <groupId>com.google.ortools</groupId>
                            <artifactId>ortools-linux-x86-64</artifactId>
                        </dependency>
                        <dependency>
                            <groupId>com.google.ortools</groupId>
                            <artifactId>ortools-darwin-x86-64</artifactId>
                        </dependency>
                        <dependency>
                            <groupId>com.google.ortools</groupId>
                            <artifactId>ortools-win32-x86-64</artifactId>
                        </dependency>
                        <dependency>
                            <groupId>com.google.ortools</groupId>
                            <artifactId>ortools-linux-aarch64</artifactId>
                        </dependency>
                        <dependency>
                            <groupId>com.google.ortools</groupId>
                            <artifactId>ortools-darwin-aarch64</artifactId>
                        </dependency>
                    </requiresUnpack>

                </configuration>
            </plugin>
            <plugin>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-maven-plugin</artifactId>
                <configuration>
                    <fork>true</fork>
                    <addResources>true</addResources>
                </configuration>
            </plugin>
        </plugins>
    </build>


    <repositories>
        <repository>
            <id>Hzero</id>
            <name>Hzero Repository</name>
            <url>https://nexus.saas.hand-china.com/repository/hzero/</url>
            <releases>
                <enabled>true</enabled>
            </releases>
        </repository>
    </repositories>

</project>